package main

import (
	"backea/internal/backup/strategy"
	"backea/internal/server"
	"log"
	"os"
)

func main() {
	// Get port from environment or use default
	port := os.Getenv("PORT")
	if port == "" {
		port = "8080"
	}

	// Create backup factory
	configPath := "config.yml"
	// cfg, _ := models.LoadConfig(configPath)
	backupFactory, _ := strategy.NewFactory(configPath)

	// Initialize and start the server
	srv := server.New(*backupFactory)
	log.Printf("Starting server on port %s", port)
	if err := srv.Start(":" + port); err != nil {
		log.Fatalf("Failed to start server: %v", err)
	}
}
