package models

import (
	"time"
)

// BackupInfo contains information about a single backup
type BackupInfo struct {
	ID           string    // Unique identifier for the backup
	CreationTime time.Time // When the backup was created
	Size         int64     // Size in bytes
	Source       string    // Original source path
	Type         string    // Type of backup (e.g., "kopia", "restic")
	RetentionTag string    // Retention policy applied (e.g., "latest", "daily", "weekly")
}
