package server

import (
	"backea/internal/backup/strategy"
	"backea/internal/web/routes"

	"github.com/labstack/echo/v4"
	"github.com/labstack/echo/v4/middleware"
)

func New(factory strategy.Factory) *echo.Echo {
	e := echo.New()

	e.Use(middleware.Logger())
	e.Use(middleware.Recover())

	e.Static("/static", "static")

	routes.RegisterRoutes(e, factory)

	return e
}
